use `ombutel`;
-- Get setting parent_id and config_type_id into variables
select
	(select s.`setting_id`
        from `ombutel`.`xepm_settings` as s
        left join `xepm_configuration_types` as c using (`configuration_type_id`)
        left join `xepm_models` as m using (`model_id`)
        left join `xepm_brands` as b using (`brand_id`)
        where b.`name` = 'fanvil' and m.`name` = 'x6u' and s.`name` = 'phone'
    ) as `setting_id`,
	(select c.`configuration_type_id`
        from `ombutel`.`xepm_settings` as s
        left join `xepm_configuration_types` as c using (`configuration_type_id`)
        left join `xepm_models` as m using (`model_id`)
        left join `xepm_brands` as b using (`brand_id`)
        where b.`name` = 'fanvil' and m.`name` = 'x6u' and s.`name` = 'phone'
    ) as `configuration_type_id`
into @parent_id, @config_id;

insert ignore into `ombutel`.`xepm_settings`
    (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
    select @parent_id, @config_id, s.`setting_type_id`, s.`name`, s.`default`
        from `ombutel`.`xepm_settings` as s
        left join `xepm_configuration_types` as c using (`configuration_type_id`)
        left join `xepm_models` as m using (`model_id`)
        left join `xepm_brands` as b using (`brand_id`)
        where b.`name` = 'fanvil' and m.`name` = 'x5u' and s.`name` like '%phone.LDAP.%';